Subject: bug#58149: guix pull error

From: Matthieu Haefele <[email-masked]>
Date: Wed, 5 Oct 2022 16:36:25 +0200

Sorry I overlooked your last answer

Le 05/10/2022 à 11:34, Ludovic Courtès a écrit :
>
>> collect2: error: ld returned 1 exit status
>> make[2]: *** [../../gcc-5.5.0/gcc/c/Make-lang.in:71: cc1] Error 1
> I don’t see an error message in the snippet you pasted.  Could it be
> OOM, or was there a clue in /var/log/messages or similar?

Out of memory is a possibility, I am running all this on my small laptop, but retried it closing everything else and failed again. 
/var/log/syslog are attached. Except the rise of temperature cores, there is no error appearing here. But I am maybe looking at 
the wrong place, I am a pretty bad sys admin :~

>> Thanks for diving in this ocean of code and trying to make it manageable with a reproducible process to build it :)
> That’s an insightful exercise for sure.  :-)

Wow, just an /exercise/ for you !? What will it be when you will start to really work then ;)

>
>> BTW I am watching the videos of the very interesting event organized
>> for the ten years of guix. The presentation of Efraim Flashner stunted
>> me. 40h of compile just for rust from the bootstrap on a RISC-V but
>> still GHz processor. How can these things work in the end ... ? Life,
>> as the single negentropic known process should play its role here as
>> well. The minimalism wished by Pjotr Prins is the way to go if we want
>> to keep the illusion of controlling what we are doing.
> The bootstrapping effort is about “regaining control” of our software
> stack in a way, but it shows just how much things had gotten awry.
>
Fair enough. Still, it makes sense to invest time and energy on the topic even if I am definitely not the skilled guy for it !! I 
am just an humble application developer able to use it and report bugs ;)

Thanks
Mat